package com.fs.baidu.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.baidu.domain.BdUnit;

/**
 * 百度推广单元Mapper接口
 * 
 * @author fs
 * @date 2025-01-20
 */
public interface BdUnitMapper extends BaseMapper<BdUnit>{
    /**
     * 查询百度推广单元
     * 
     * @param adgroupFeedId 百度推广单元主键
     * @return 百度推广单元
     */
    BdUnit selectBdUnitByAdgroupFeedId(Long adgroupFeedId);

    /**
     * 查询百度推广单元列表
     * 
     * @param bdUnit 百度推广单元
     * @return 百度推广单元集合
     */
    List<BdUnit> selectBdUnitList(BdUnit bdUnit);

    /**
     * 新增百度推广单元
     * 
     * @param bdUnit 百度推广单元
     * @return 结果
     */
    int insertBdUnit(BdUnit bdUnit);

    /**
     * 修改百度推广单元
     * 
     * @param bdUnit 百度推广单元
     * @return 结果
     */
    int updateBdUnit(BdUnit bdUnit);

    /**
     * 删除百度推广单元
     * 
     * @param adgroupFeedId 百度推广单元主键
     * @return 结果
     */
    int deleteBdUnitByAdgroupFeedId(Long adgroupFeedId);

    /**
     * 批量删除百度推广单元
     * 
     * @param adgroupFeedIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBdUnitByAdgroupFeedIds(Long[] adgroupFeedIds);
}
